Your submission was sent successfully! Close

CVE-2018-20346

Published: 21 December 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use cases), aka Magellan.

Priority

Medium

CVSS 3 base score: 8.1

Status

Package Release Status
chromium
Launchpad, Ubuntu, Debian
bionic Does not exist

cosmic Does not exist

disco Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (71.0.3578.80-1)
xenial Does not exist

sqlite3
Launchpad, Ubuntu, Debian
bionic
Released (3.22.0-1ubuntu0.1)
cosmic
Released (3.24.0-1ubuntu0.1)
disco Not vulnerable
(3.26.0-3)
precise
Released (3.7.9-2ubuntu1.3)
trusty
Released (3.8.2-1ubuntu2.2+esm1)
upstream
Released (3.25.3-1)
xenial
Released (3.11.0-1ubuntu1.2)